#! /bin/bash

already_run=`ps -ef|grep "node"|grep -v grep|wc -l`
if [ ${already_run} -ne 0 ];then
    echo "nodejs-john already Running!!!! Stop it first"
    exit -1
fi

mkdir -p /opt/tsf/app_config/apis
cp /usr/src/app/spec.yaml /opt/tsf/app_config/
cp -r /usr/src/app/apis /opt/tsf/app_config/
cd /usr/src/app/

nohup node ./bin/www 1>./logs/nodejs-service.log 2>&1





